This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 32258 - Information from the About dialog should be accessible
Summary: Information from the About dialog should be accessible
Status: VERIFIED WONTFIX
Alias: None
Product: platform
Classification: Unclassified
Component: -- Other -- (show other bugs)
Version: 3.x
Hardware: All All
: P3 blocker (vote)
Assignee: David Strupl
URL:
Keywords:
Depends on:
Blocks: 32488
  Show dependency tree
 
Reported: 2003-03-24 21:48 UTC by David Strupl
Modified: 2008-12-22 21:45 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Exception Reporter:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Strupl 2003-03-24 21:48:46 UTC
The information presented in the About dialog and
on the console when you start should be somehow
accessible. Should there be an API for this? Or is
there such an API already?

I will check the code in core and see whether
similar can be run from a module. After this I
will either close this issue or ask for an API change.
Comment 1 Jesse Glick 2003-03-24 22:29:35 UTC
What information? Accessible how?

BTW get the sysprops module and look at the system properties, I think
they are all available there (*not* supported API)...
Comment 2 David Strupl 2003-03-24 23:11:16 UTC
Aha - sorry for creating issue before checking. I am not sure from
where can I get these:

Product Version       = NetBeans IDE 3.5 Dev (Build 030315)
IDE Versioning        = IDE/1 spec=3.42 impl=030315

org.openide/1 [3.42 030315]
org.netbeans.core/1 [1.12 030315]
org.netbeans.core.windows/1 [1.1 030315]
org.openide.src [1.0 030315]
...

I suppose the later can be obtained by lookup(ModuleInfo.class), not
sure about the first two.
Comment 3 Jesse Glick 2003-03-27 21:18:14 UTC
[Product Version       = NetBeans IDE 3.5 Dev (Build 030315)]

"NetBeans IDE 3.5 Dev" taken from a bundle (org.netbeans.core.Bundle
or .windows.Bundle I think). "Build 030315", see below.

IDE Versioning        = IDE/1 spec=3.42 impl=030315

System properties, or better lookup ModuleInfo for module "org.openide".

IMHO this should be WONTFIX, the product name is a matter of branding
and should not be exposed via an API. If a module in your distro needs
the info, copy it there. If you really think it is necessary, pls.
explain why - what are the use cases.
Comment 4 David Strupl 2003-03-27 21:36:38 UTC
Agreed. You are right that the relevant information is already
accessible. Marking as wontfix.
Comment 5 David Strupl 2003-07-11 16:07:40 UTC
x
Comment 6 David Strupl 2003-07-11 16:07:52 UTC
x